﻿using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using System;

namespace Robware.Blog.Data.State {
	public class BlogPostState {
		public BlogPostState()
		{
			
		}

		public BlogPostState(BlogPost basePost) {
			Id = basePost.Id;
			Title = basePost.Title;
			Content = basePost.Content;
			Timestamp = basePost.Timestamp;
			Draft = basePost.Draft;
			Url = basePost.Url;
			UserId = basePost.UserId;
			Deleted = false;
		}

		[BsonId]
		public int Id { get; set; }
		public string Title { get; private set; }
		public string Content { get; private set; }
		public DateTime Timestamp { get; private set; }
		public string Draft { get; private set; }
		public string Url { get; private set; }
		public int UserId { get; private set; }
		public bool Deleted { get; private set; }
	}
}